﻿DeclareModule SearchMusic
  
  Declare.s Open()
  
EndDeclareModule


Module SearchMusic
  
Global dlgearch

Global btnOk, btnCancel, txtTitle, strTitle

Procedure.s SetCriteria()

  Define Criteria.s
  
  If Len(Trim(GetGadgetText(strTitle))) > 0
    
    Criteria = "Title LIKE '%" + Trim(GetGadgetText(strTitle)) + "%'"
    
  Else
    
    Criteria = ""
    
  EndIf
  
  ProcedureReturn Criteria 

EndProcedure

Procedure.s Open()
  
  
  Define RetVal.s,Quit.i
    
  dlgearch = OpenWindow(#PB_Any, 0, 0, 310, 90, "Music Search", #PB_Window_SystemMenu | #PB_Window_Tool | #PB_Window_WindowCentered)
  btnOk = ButtonGadget(#PB_Any, 150, 60, 70, 25, "Ok")
  btnCancel = ButtonGadget(#PB_Any, 230, 60, 70, 25, "Cancel")
  txtTitle = TextGadget(#PB_Any, 10, 10, 110, 20, "Title")
  strTitle = StringGadget(#PB_Any, 10, 30, 290, 20, "")
  
  Quit = #False
  
  
  Repeat
      
      Event = WaitWindowEvent()
      Select Event
        Case #PB_Event_CloseWindow
          Quit = #True
          RetVal = ""
          CloseWindow(dlgearch)
   
      Case #PB_Event_Gadget
        Select EventGadget()
            
          Case btnOk
            
            Quit = #True
            RetVal = SetCriteria()
            CloseWindow(dlgearch) 
            
          Case btnCancel
            
            Quit = #True
            RetVal = ""
            CloseWindow(dlgearch)          
            
        EndSelect
    EndSelect
    
    Until Quit = #True
  
  
  ProcedureReturn RetVal
  
  
  EndProcedure
  
EndModule

; IDE Options = PureBasic 5.70 LTS (Windows - x64)
; CursorPosition = 9
; Folding = -
; EnableXP